Bug 448559 - Review Request: xorg-x11-drv-suncg3 - x driver for suncg3 hardware
Review Request: xorg-x11-drv-suncg3 - x driver for suncg3 hardware
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 13:13 EDT by Dennis Gilmore
Modified: 2008-06-06 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 17:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-05-27 13:13:47 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-suncg3.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-suncg3-1.1.0-2.fc9.src.rpm
Description: 
x driver for suncg3 hardware
Comment 1 Dennis Gilmore 2008-06-03 19:28:34 EDT
Scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=58924
Comment 2 Brian Pepple 2008-06-03 21:34:08 EDT
MD5Sum:
b9cb8cfb6a4234bebc434f744af53208  xf86-video-suncg3-1.1.0.tar.bz2

Good:
Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following error:
xorg-x11-drv-suncg3.sparc64: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE.
Comment 3 Dennis Gilmore 2008-06-03 22:53:25 EDT
New Package CVS Request
=======================
Package Name: xorg-x11-drv-suncg3
Short Description: X driver for suncg3
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Dennis Gilmore 2008-06-06 17:44:25 EDT
imported and built  thanks for the review

Note You need to log in before you can comment on or make changes to this bug.